Bug 139863 - [maintainer-update] x11/xcb-util: division by zero bugfix
Summary: [maintainer-update] x11/xcb-util: division by zero bugfix
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-10-23 13:20 UTC by Nikos Ntarmos
Modified: 2009-10-28 02:30 UTC (History)
0 users

See Also:


Attachments
xcb-util-0.3.6_1.diff (981 bytes, patch)
2009-10-23 13:20 UTC, Nikos Ntarmos
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nikos Ntarmos 2009-10-23 13:20:01 UTC
Ashish Shukla (wahjava@gmail.com) reported a crash with x11-wm/awesome
on amd64. With his help, we narrowed it down to a division by zero going
unnoticed in xcb-util. This is now fixed upstream but there won't be a
new release any time soon, so I'm adding the relevant patch to the port.
Comment 1 Dmitry Marakasov freebsd_committer 2009-10-27 16:12:01 UTC
Responsible Changed
From-To: freebsd-ports-bugs->amdmi3

I'll take it.
Comment 2 Dmitry Marakasov freebsd_committer 2009-10-28 02:29:07 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter service freebsd_committer 2009-10-28 02:29:08 UTC
amdmi3      2009-10-28 02:28:59 UTC

  FreeBSD ports repository

  Modified files:
    x11/xcb-util         Makefile 
  Added files:
    x11/xcb-util/files   patch-icccm-icccm.c 
  Log:
  - Fix division by zero bug
  
  PR:             139863
  Submitted by:   Nikos Ntarmos <ntarmos@cs.uoi.gr>
  Reported by:    Ashish Shukla <wahjava@gmail.com>
  
  Revision  Changes    Path
  1.14      +1 -0      ports/x11/xcb-util/Makefile
  1.1       +20 -0     ports/x11/xcb-util/files/patch-icccm-icccm.c (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"